Bug 1013037 - Review Request: otf2 - Open Trace Format 2 library
Review Request: otf2 - Open Trace Format 2 library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1013836
  Show dependency treegraph
 
Reported: 2013-09-27 12:22 EDT by Orion Poplawski
Modified: 2013-10-25 13:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 13:46:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
loganjerry: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-09-27 12:22:46 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/otf2.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/otf2-1.2.1-1.fc19.src.rpm
Description: 
The Open Trace Format 2 (OTF2) is a highly scalable, memory efficient
event trace data format plus support library.
Comment 1 Orion Poplawski 2013-10-02 17:49:09 EDT
* Wed Oct 2 2013 Orion Poplawski <orion@cora.nwra.com> - 1.2.1-2
- Fix rpath with configure change

http://www.cora.nwra.com/~orion/fedora/otf2.spec
http://www.cora.nwra.com/~orion/fedora/otf2-1.2.1-2.fc19.src.rpm
Comment 2 Parag AN(पराग) 2013-10-21 01:51:15 EDT
I just got confused this package name with http://www.fileinfo.com/extension/otf ;-)
Comment 3 Jerry James 2013-10-21 17:39:19 EDT
I will take this review.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package contains BR: python2-devel or python3-devel
- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 10557440 bytes in 163 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

  This warning is because the documentation ends up in BOTH the main package
  and the -doc subpackage.  You will need to add %exclude lines to both the
  main %files and %files doc to make sure each file goes into only one of the
  two packages.
- This is extremely minor, but the jinja patch applies with offsets:

patching file Makefile.in
Hunk #3 succeeded at 1209 (offset 48 lines).
Hunk #4 succeeded at 1262 (offset 48 lines).

  and there is also a typo in the %patch0 application: jijna2 -> jinja2
- On the subject of bundled libraries, I see that you removed jinja2, but what
  about the rest of the code under vendor/common?  What is its status?
- Should jinja2 be a Requires?
- I am confused by the python code.  It is only present in the -devel package.
  I don't know what it does, so this is probably just my ignorance speaking,
  but are you sure it is never needed at runtime?
- There is no Requires on an appropriate python abi.  See
  https://fedoraproject.org/wiki/Packaging:Python#Multiple_Python_Runtimes
- There is no BR on an appropriate version of python-devel.  See
  https://fedoraproject.org/wiki/Packaging:Python#BuildRequires
- Consider adding a %check script

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 239 files have unknown
     license. Detailed output of licensecheck in
     /home/jamesjer/1013037-otf2/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see below).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
     See comment about multiple python runtimes above
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see below).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in otf2-doc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 10752000 bytes in /usr/share
     otf2-1.2.1-2.fc21.x86_64.rpm:10557440
     See:
     http://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see below).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: otf2-1.2.1-2.fc21.x86_64.rpm
          otf2-devel-1.2.1-2.fc21.x86_64.rpm
          otf2-doc-1.2.1-2.fc21.noarch.rpm
          otf2-1.2.1-2.fc21.src.rpm
otf2.x86_64: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
otf2.x86_64: W: no-manual-page-for-binary otf2-print
otf2.x86_64: W: no-manual-page-for-binary otf2-snapshots
otf2.x86_64: W: no-manual-page-for-binary otf2-marker
otf2-devel.x86_64: W: no-documentation
otf2-devel.x86_64: W: no-manual-page-for-binary otf2-config
otf2-devel.x86_64: W: no-manual-page-for-binary otf2-template
otf2.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
otf2.src:37: E: hardcoded-library-path in /usr/lib
4 packages and 0 specfiles checked; 1 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint otf2-doc otf2 otf2-devel
otf2.x86_64: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
otf2.x86_64: W: no-manual-page-for-binary otf2-print
otf2.x86_64: W: no-manual-page-for-binary otf2-snapshots
otf2.x86_64: W: no-manual-page-for-binary otf2-marker
otf2-devel.x86_64: W: no-documentation
otf2-devel.x86_64: W: no-manual-page-for-binary otf2-config
otf2-devel.x86_64: W: no-manual-page-for-binary otf2-template
3 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
otf2-doc (rpmlib, GLIBC filtered):

otf2 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libotf2.so.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

otf2-devel (rpmlib, GLIBC filtered):
    /usr/bin/python
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libotf2.so.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    otf2(x86-64)
    rtld(GNU_HASH)



Provides
--------
otf2-doc:
    otf2-doc

otf2:
    libotf2.so.3()(64bit)
    otf2
    otf2(x86-64)

otf2-devel:
    otf2-devel
    otf2-devel(x86-64)



Source checksums
----------------
http://www.vi-hps.org/upload/packages/otf2/otf2-1.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : 1db9fb0789de4a9c3c96042495e4212a22cb581f734a1593813adaf84f2288e4
  CHECKSUM(SHA256) upstream package : 1db9fb0789de4a9c3c96042495e4212a22cb581f734a1593813adaf84f2288e4


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1013037 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 4 Orion Poplawski 2013-10-22 10:59:43 EDT
(In reply to Jerry James from comment #3)
> I will take this review.
> 
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> 
> 
> Issues:
> =======
> - Package contains BR: python2-devel or python3-devel

Added.

> - Large documentation must go in a -doc subpackage. Large could be size
> (~1MB)
>   or number of files.
>   Note: Documentation size is 10557440 bytes in 163 files.
>   See:
> http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
> 
>   This warning is because the documentation ends up in BOTH the main package
>   and the -doc subpackage.  You will need to add %exclude lines to both the
>   main %files and %files doc to make sure each file goes into only one of the
>   two packages.

Oops, fixed.

> - This is extremely minor, but the jinja patch applies with offsets:
> 
> patching file Makefile.in
> Hunk #3 succeeded at 1209 (offset 48 lines).
> Hunk #4 succeeded at 1262 (offset 48 lines).
> 
>   and there is also a typo in the %patch0 application: jijna2 -> jinja2

Good catch, rebased.

> - On the subject of bundled libraries, I see that you removed jinja2, but
> what
>   about the rest of the code under vendor/common?  What is its status?

That is all common upstream configuration files for their projects.  Used for building.

> - Should jinja2 be a Requires?

Yes, added.

> - I am confused by the python code.  It is only present in the -devel
> package.
>   I don't know what it does, so this is probably just my ignorance speaking,
>   but are you sure it is never needed at runtime?

Used by otf2-template, moved to base package.

> - There is no Requires on an appropriate python abi.  See
>   https://fedoraproject.org/wiki/Packaging:Python#Multiple_Python_Runtimes

Added requires python-jinja2 should handle this I believe now.

> - There is no BR on an appropriate version of python-devel.  See
>   https://fedoraproject.org/wiki/Packaging:Python#BuildRequires

As above.

> - Consider adding a %check script

Upstream told me the magic incantation need to enable the tests.  Added.

Spec URL: http://www.cora.nwra.com/~orion/fedora/otf2.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/otf2-1.2.1-3.fc19.src.rpm

* Mon Oct 21 2013 Orion Poplawski <orion@cora.nwra.com> - 1.2.1-3
- Add BR python2-devel
- Add Requires jinja2
- Exclude docs from main package
- Rebase jinja2 patch
Comment 5 Jerry James 2013-10-22 21:38:27 EDT
Okay, looks great.  The only remaining possible issue I see is this comment from rpmlint:

otf2.x86_64: W: devel-file-in-non-devel-package /usr/bin/otf2-config

I don't know if that is true or not.  Is this tool useful for more than retrieving CFLAGS and LDFLAGS?
Comment 6 Orion Poplawski 2013-10-24 22:40:15 EDT
I moved it back to -devel.

Spec URL: http://www.cora.nwra.com/~orion/fedora/otf2.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/otf2-1.2.1-4.fc19.src.rpm

* Thu Oct 24 2013 Orion Poplawski <orion@cora.nwra.com> - 1.2.1-4
- Move otf2-config back to -devel
Comment 7 Jerry James 2013-10-24 23:09:07 EDT
Everything looks good.  This package is APPROVED.
Comment 8 Orion Poplawski 2013-10-25 11:02:47 EDT
Thanks for the review Jerry.

New Package SCM Request
=======================
Package Name: otf2
Short Description: Open Trace Format 2 library 
Owners: orion
Branches: f18 f19 f20 el6
InitialCC:
Comment 9 Gwyn Ciesla 2013-10-25 11:36:30 EDT
Git done (by process-git-requests).
Comment 10 Orion Poplawski 2013-10-25 13:46:02 EDT
Checked in and built.

Note You need to log in before you can comment on or make changes to this bug.